@import url('https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&family=Nunito:ital,wght@0,200..1000;1,200..1000&display=swap');

/* width */
::-webkit-scrollbar {
  width: 8px;
}
/* Track */
::-webkit-scrollbar-track {
  border-radius: 0px;
}

/* Handle */
::-webkit-scrollbar-thumb {
  background: #337ab7;
  border-radius: 0px;
}

.form-control:focus
{
	outline:0;box-shadow:none !important;
}
button:focus
{
	box-shadow:0 0 0 1px !important;border-width:1px;
}

.nopadding{padding:0px !important;}

body
{
  font-family: "Nunito", "Lato", sans-serif;
  font-weight: 400;
  font-style: normal;
  background:linear-gradient(135deg, #061543, #64098a, #061543);
  overflow-x:hidden;
}
.lato{font-family: "Lato" !important;}
.nunito{font-family: "Nunito" !important;}

header{background:linear-gradient(to right,#021348, #085d9a);text-align:center;color:#FFF;overflow:hidden;}
.logo{max-height:48px;}

.navbar-toggler-icon{background-color: #FFF !important;border-radius: .125rem;}

#btn_get_schedule{background: linear-gradient(to right, #e9cc2d, #830dcc, #c46a3b);border-color:color-mix(in srgb, #e9cc2d 30%, #c46a3b 70%);}
#btn_fr_get_schedule{background: linear-gradient(to right, #e9cc2d, #830dcc, #c46a3b);border-color:color-mix(in srgb, #e9cc2d 30%, #c46a3b 70%);}
#btn_to_get_schedule{background: linear-gradient(to right, #e9cc2d, #830dcc, #c46a3b);border-color:color-mix(in srgb, #e9cc2d 30%, #c46a3b 70%);}
#btn_search_ticket{background: linear-gradient(to right, #e9cc2d, #830dcc, #c46a3b);border-color:color-mix(in srgb, #e9cc2d 30%, #c46a3b 70%);}
#btn_save_deposit{background: linear-gradient(to right, #e9cc2d, #830dcc, #c46a3b);border-color:color-mix(in srgb, #e9cc2d 30%, #c46a3b 70%);}
#btn_save_voucher{background: linear-gradient(to right, #e9cc2d, #830dcc, #c46a3b);border-color:color-mix(in srgb, #e9cc2d 30%, #c46a3b 70%);}
#btn_change_password{background: linear-gradient(to right, #e9cc2d, #830dcc, #c46a3b);border-color:color-mix(in srgb, #e9cc2d 30%, #c46a3b 70%);}
#btn_get_sales_report{background: linear-gradient(to right, #e9cc2d, #830dcc, #c46a3b);border-color:color-mix(in srgb, #e9cc2d 30%, #c46a3b 70%);}

.coach_schedule thead{background:linear-gradient(15deg, #077b48, #830dcc, #c46a3b);}
.coach_schedule thead th{background:transparent;color:#FFF;font-family: "lato";}
.coach_schedule tr td{padding-bottom:2px;}
.coach_schedule tr.active{background:linear-gradient(10deg, #766a22, #75518d, #124f52);}
.coach_schedule tr.active td{background:transparent;color:#FFF;}

footer{background:linear-gradient(to bottom,#021348, #085d9a);width:100vw;}
footer *{color:#FFF !important;}
footer a{color:#CCC !important;}
footer a:hover{color:#FFF !important;}

.control-label{margin:5px 0px 0px 0px;font-weight:550;}
.input-group-text{background:#FFF !important;border-right:none !important;}

.block{background:#CBD7E5;border:1px solid #FFF;margin-bottom:2px;}

.info_heading{background:#db3f41;color:#FFF;}

.card-header{background:linear-gradient(to right, #0f625d, #032640);}
.card-header h2{margin:0px;color:#FFF;font-size:1.25rem;}
.card-header span.icon{background:#FFF;border:1px solid #FFF;border-radius:50%;width:36px;height:36px;display:inline-block;margin-right:.25rem;padding:4px;}
.card-header i{color:#198754;font-size:1.25rem;}
.card-body {border:4px solid #198754;}

.coach_schedule .card.active{border-color:#198754;}
/* .coach_schedule .jtime.btn{} */

#table_coach_seat_plan td span{border-color:#39216d;}

#table_coach_seat_plan td{border:none !important;padding:0px;width:56px;}
#table_coach_seat_plan td span{height:48px;width:48px;border:1px solid #285a28;background:#FFF;color:#000;display:block;text-align:center;border-radius:4px;font-size: 15px;font-family: tahoma;font-weight: bold;padding-top: 10px;cursor:pointer;margin:1px auto;}
#table_coach_seat_plan td[colspan="2"] span{width:96px;}
#table_coach_seat_plan td span.seats:hover{color:#FFF;background:#7B8EC3;}
#table_coach_seat_plan td span.seats.active{background-image:url('./loading.gif');background-repeat:no-repeat;background-position:center center;background-size:cover;color:#FFF;background-color:#7B8EC3;}
#table_coach_seat_plan td span.seats.selected{background:#425077;color:#FFF;}
#table_coach_seat_plan td span.gap{border:none !important;cursor:default !important;background: none;}

.issued{background-color:#C31D20 !important;color:#FFF !important;border:1px solid #0b536e !important;}
.issued.male{background-color:#C31D20 !important;color:#FFF !important;}
.issued.female{background-color:#990c6a !important;color:#FFF !important;}
.forsale{background-color:#db3f41 !important;color:#FFF !important;border:1px solid #0b536e !important;}
.forsale.male{background-color:#db3f41 !important;color:#FFF !important;}
.forsale.female{background-color:#773032 !important;color:#FFF !important;}
.booked{background-color:#57971e !important;color:#FFF !important;border:1px solid #07216a !important}
.booked.male{background-color:#8BF030 !important;color:#FFF !important;}
.booked.female{background-color:#112202 !important;color:#FFF !important;}
.blocked{background-color:#aaaaaa !important;color:#FFF !important;cursor:default !important;}

.issued.multi-ticket{background:linear-gradient(90deg,#C31D20,#CCC) !important;}
.booked.multi-ticket{background:linear-gradient(90deg,#57971e,#CCC) !important;}

.seat_parent{padding:0px;margin-bottom:4px;}
.vgap{margin-bottom:5px;}

body.report {background:#FFF;}
body.report h2{font-size:22px;}
body.report td{font-size:12px;}
body.report tfoot td{font-weight:bold;}
body.report tr.header{background:#C4DDCE;}
body.report tr.footer{background:#E6F1A6;}
body.report tr.header2{background:#DEEFE5;}

.info_seat_no { font-size:1rem !important;margin:1px !important}

.fs-sm{font-size:1rem !important;}

#md_center_icon{display:none;}

.schedule-heading{display:none;}

#div_live_dashboard{overflow:hidden;width: 100vw;}
#div_live_dashboard .row{
	background: linear-gradient(to right, #da427c, #ea8945, #e445cd);
    padding:2px 0px 8px 0px;
    border: 2px solid #a35d44;
    border-radius: 1rem;overflow: hidden;margin: 0px 2px;}
#div_live_dashboard .col{padding:0px;text-align:center;color:#FFF;font-weight:bold;}
#div_live_dashboard .col::after{
	position: absolute;display: block;
    height: 24px; width:2px;
	top: 44px;
    background: linear-gradient(to bottom, #1248a7, #84e37e);;
    content: "";
}

#div_live_dashboard .heading{
	text-align:center;
}
#div_live_dashboard .heading span{
	color:#1616b7 !important;
	font-weight:bold;
	margin:4px 0px;
	display:inline-block;
}
#div_live_dashboard .heading i{
	color:#FFF !important;
}


/* md */
@media (max-width:992px) 
{
	/* menu */
	.navbar .container-fluid{background:linear-gradient(to right, #efddf2, #3260ee, #b693e3);}
	.navbar .container-fluid li:last-child{margin-bottom: .5rem;}

	.coach_schedule .card{border-radius:.25rem !important;overflow:hidden;}

	.coach_schedule .journey_time{border-top-right-radius:0px;border-bottom-right-radius:0px;border-top-left-radius:.25rem;border-bottom-left-radius:.25rem;text-align:center;background:linear-gradient(to right, #324fa9, #082faa);color:#FFF;}

	.coach_schedule .card.active .journey_time{border-bottom-left-radius:0px;margin-bottom:1px;}

	.view-seats{background:linear-gradient(to right,#3d9b3d, #085d9a);}
	.cancel-seats{background: linear-gradient(to right, #b63fdb, #b20a0d);}

	.coach_no{color:#010b70;font-weight:550;}
	.coach_no_split{color:#37a710;}
	.coach_no_split i{color:#010b70;}
	/* .coach_no_split::before{font-family: "Font Awesome 6 Free";
    content: "\f061";font-weight: 900;color: #198754;
    / * display: inline-block;
    position: absolute;
    left: 8px;
    top: 5px; * /
	} */
	
	.coach_no_split:first-child::before{content:"";}
	.coach_no_split::before{content:" - ";color:#198754;}

	.fs-sm{font-size:.90rem !important;}
	
	#md_center_icon{display:inline-block;margin-top:-96px;margin-left:0px;position: absolute;left: calc(50% - 32px);}
	#md_center_icon span
	{
		display:inline-block;width: 64px;height: 64px;
		border: 1px solid #CCC;border-radius: 50%;
		padding-top: 15px;
		background:linear-gradient(to right,#3d9b3d, #085d9a);
	}
	#md_center_icon i{color:#FFF;}
}

/* sm */
@media (max-width:767px) 
{

	/* menu */
	.navbar .container-fluid{position: absolute;z-index: 1000;top: 100%;background:linear-gradient(to right, #efddf2, #3260ee, #b693e3);}
	.navbar .container-fluid li:last-child{margin-bottom: .5rem;}

	.jtime {font-size:1.35rem;}
	.fs-sm{font-size:.80rem !important;}

	#md_center_icon{display:none;}

	footer
	{
		border-top-left-radius:50%; border-top-right-radius:50%;
	}
}

/* xs */
@media (max-width: 575.99px)
{
	.control-label{margin-top:1px !important;}

  	.form-control
  	{
		padding: .125rem .25rem !important;
		font-size: .9rem !important;
  	}
	.input-group-text i{font-size:.9rem !important;}

	#info_modal table
	{
		font-size:.8rem !important;
	}

	.div_seat_info td{font-size:.75rem !important;}

	.coach_no_split{font-size:.85rem;}

	.jtime {font-size:1.5rem;}
	.fs-sm{font-size:.75rem !important;}

	#md_center_icon{display:none;}
}
